﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Private LVLlinks As List
	
	Type RequestLVLData (TypeWanted As String, Retry As Int)

	
	Dim LVLmedia As List
	Dim LVLcolmedia As Map
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim playlistID As String
	Dim ClickParam As String
	Dim vType As String = "2"
	Dim maxResults As String = "50"
	Dim startIndex As String
	Dim prettyprint As String = "True"
	Dim altType As String = "jsonc"
	
	
	Dim clv As CustomListView
	Dim Label1 As Label
	Dim ImageView1 As ImageView
	Dim ImageViews As List
	Private Label2 As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Activity.Title = " Levels"
	Activity.AddMenuItem3("Back", "GoBack", Null, True)

	If FirstTime Then
		LVLlinks.Initialize
		LVLmedia.Initialize
		LVLcolmedia.Initialize
		

			InternalSearch

		Else
		InternalSearch
	End If
	
	ImageViews.Initialize
	
	clv.Initialize(Me, "clv")
	
	Activity.AddView(clv.AsView, 0, 0, 100%x, 100%y)

Activity.Title = " Levels"
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	CallSub(ImageDownloader, "ActivityIsPaused")
End Sub

Sub BuildItems
	If LVLlinks.Size = 0 Then Return
	
	clv.Clear
	
	Dim m As Map
		m.Initialize
	For Each link As String In LVLlinks
			Log(link)
		Dim Tw() As String
			Tw = Regex.Split(";", link)
			'Log(Tw(1))
		Dim ImgURL As String = Tw(0) '& ".jpg"
			Log (ImgURL)
		Dim TwText As String = Tw(1)
			Log (TwText)
		Dim DatText As String = "Sent at: " & Tw(2)
			Log (DatText)
		Dim p As Panel
			p.Initialize("")
			clv.Add(p, 60dip, link)
			p.LoadLayout("ListItem")
			Label1.Text = TwText 'Label1 now points to the last "Label1" that was added
			'the same is true for ImageView1.
			Label2.Text = "VideoID: " & DatText
		If ImgURL <> "" Then
			m.Put(ImageView1, ImgURL)
		End If
	Next
	
	CallSubDelayed2(ImageDownloader, "Download", m)
	
End Sub




Private Sub InternalSearch() 

Msgbox(Main.codeLvl , "type")
Select Case Main.codeLvl
			 
            Case "L0"
				
				startIndex ="1"
				
			    playlistID ="PLEv0FdrspR-1xRI8qX9dOAwT84WTxVx3l"
				
				
            Case "L1"
				
				startIndex ="51"
				
				playlistID ="PLEv0FdrspR-1xRI8qX9dOAwT84WTxVx3l"
				
            Case "L2"
				
				startIndex ="101"
				
				playlistID ="PLEv0FdrspR-1xRI8qX9dOAwT84WTxVx3l"
				
            Case "L3"
				
				startIndex ="151"
				
				playlistID ="PLEv0FdrspR-1xRI8qX9dOAwT84WTxVx3l"
            Case "L4"
				
				startIndex ="201"
				Log(startIndex)
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L5"
				
				startIndex ="251"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L6"
				
				startIndex ="301"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L7"
				
				startIndex ="351"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L8"
				
				startIndex ="401"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L9"
				
				startIndex ="451"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L10"
				
				startIndex ="501"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L11"
				
				startIndex ="551"
				
				playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
			Case "L12"
				
				startIndex ="601"
				
			   	playlistID ="FL1bmqfyYrLIpKEsqo2IsZOA"
         End Select

		Dim URLtoGET As String = "http://gdata.youtube.com/feeds/api/playlists/" & playlistID & "?v=" & vType & "&max-results=" & maxResults & "&start-index=" & startIndex & "&prettyprint=" & prettyprint & "&alt=" & altType
		Log(URLtoGET)
		Dim J As HttpJob
		J.Initialize("search", Me)
		J.Download (URLtoGET)
		J.GetRequest.SetHeader("Accept","text/html, application/xhtml+xml, */*")
		J.GetRequest.SetHeader("Host", "gdata.youtube.com")
				
		ProgressDialogShow("Searching for Videos...")
			

End Sub

Private Sub JobDone(Job As HttpJob)
	Log(Job.JobName & ", success=" & Job.Success)
	Select Job.JobName

		Case "search"
			If Job.Success Then
			ProgressDialogHide
			Log(Job.GetString)
				
				ParseResponse(Job.GetString)
				
			Else
				
			End If
	End Select
	Job.Release
End Sub

Private Sub ParseResponse(text As String)
'Log(text)

Dim parser As JSONParser
parser.Initialize(text)
Dim root As Map = parser.NextObject
	Dim data As Map = root.Get("data")
	Dim items As List  = data.Get("items")
	items.Initialize
	items = data.Get("items")
	

For Each colitems As Map In items
	Dim media_url As String
	Dim video As Map = colitems.Get("video")
		Dim thumbnail As Map = video.Get("thumbnail")
			
		Dim sqDefault As String = thumbnail.Get("sqDefault")
		
	media_url = sqDefault
		
		Dim title As String = video.Get("title")
				Dim id As String = video.Get("id")

	
		
	Dim linkComp As String = media_url & ";" & title & ";" & id
	
	
	LVLlinks.Add(linkComp)
Next



BuildItems

End Sub


Sub clv_ItemClick (Index As Int, Value As Object)

Msgbox(Value, "Item Value")

End Sub


Sub GoBack_Click
clv.Clear
Activity.Finish
End Sub
